Seite 1 von 2

[gelöst]Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 11:49
von ulischmidthaase
Seit geraumer Zeit (ich glaube es war nach einem "zypper up") kann mein Okular keine PDF-Dateien mehr öffnen. Wenn ich zum Beispiel in Dolphin versuche eine Datei zu öffnen erscheint folgende Meldung:
file:///home/uli/***.pdf kann nicht geöffnet werden.
Wenn ich die Datei versuche über die Konsole zu öffnen erscheint sie ebenfalls, nach Beenden der grafischen Oberfläche von Okular folgende Meldung auf der Konsole:

Code: Alles auswählen

Settings::instance called after the first use - ignoring
org.kde.okular.core: Invalid plugin factory for "/usr/lib64/qt5/plugins/okular/generators/okularGenerator_poppler.so":"Die Bibliothek /usr/lib64/qt5/plugins/okular/generators/okularGenerator_poppler.so kann nicht geladen werden: (libopenjp2.so.7: Kann die Shared-Object-Datei nicht öffnen: Keine Berechtigung)"
Da hier was von Berechtigung steht, habe ich versucht die Datei als "su" zu öffnen. Zunächst gleiches Resultat. Wenn ich dann (in der als Root geöffneten Oberfläche) die gleiche Datei über "Datei->Datei öffnen" öffne kann ich sie plötzlich öffnen :???: Nach Beendigung von Okular erhalte ich auf der "Root Konsole":

Code: Alles auswählen

QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
No DBUS session-bus found. Check if you have started the DBUS server.
kdeinit5: Communication error with launcher. Exiting!
trying to load "/usr/lib64/qt5/plugins/kf5/kio/file.so" from "/usr/lib64/qt5/plugins/kf5/kio/file.so"
kf5.kservice.services: The desktop entry file "/opt/kde3/share/applications/kde/kresources.desktop" has Type= "Application" but also has a X-KDE-Library key. This works for now, but makes user-preference handling difficult, so support for this might be removed at some point. Consider splitting it into two desktop files.
kf5.kservice.services: The desktop entry file "/usr/share/applications/org.kde.drkonqi.desktop" has Type= "Application" but no Exec line
kf5.kservice.sycoca: Invalid Service :  "/usr/share/applications/org.kde.drkonqi.desktop"
kf5.kservice.services: The desktop entry file "/usr/share/applications/org.kde.systemmonitor.desktop" has Type= "Application" but no Exec line
kf5.kservice.sycoca: Invalid Service :  "/usr/share/applications/org.kde.systemmonitor.desktop"
Settings::instance called after the first use - ignoring
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 3304, resource id: 29511674, major code: 40 (TranslateCoords), minor code: 0
"Session bus not found\nTo circumvent this problem try the following command (with Linux and bash)\nexport $(dbus-launch)"
Irgendwie scheint es was mit meinen Einstellungen von KDE zusammen zu hängen, aber richtig blicken tue ich es nicht. Kann mir jemand helfen?

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 13:07
von Gräfin Klara

Code: Alles auswählen

# ldd /usr/lib64/qt5/plugins/okular/generators/okularGenerator_poppler.so
?

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 13:30
von ulischmidthaase
Die Ausgabe ist ein bisschen lang :roll:

Code: Alles auswählen

uli@linux-mld6:~> ldd /usr/lib64/qt5/plugins/okular/generators/okularGenerator_poppler.so
        linux-vdso.so.1 (0x00007ffc1edde000)
        libOkular5Core.so.8 => /usr/lib64/libOkular5Core.so.8 (0x00007fe89dbd2000)
        libpoppler-qt5.so.1 => /usr/lib64/libpoppler-qt5.so.1 (0x00007fe89d952000)
        libQt5PrintSupport.so.5 => /usr/lib64/libQt5PrintSupport.so.5 (0x00007fe89d6dc000)
        libKF5Completion.so.5 => /usr/lib64/libKF5Completion.so.5 (0x00007fe89d4a1000)
        libKF5ConfigWidgets.so.5 => /usr/lib64/libKF5ConfigWidgets.so.5 (0x00007fe89d247000)
        libKF5I18n.so.5 => /usr/lib64/libKF5I18n.so.5 (0x00007fe89cff8000)
        libKF5ConfigGui.so.5 => /usr/lib64/libKF5ConfigGui.so.5 (0x00007fe89cdd5000)
        libQt5Xml.so.5 => /usr/lib64/libQt5Xml.so.5 (0x00007fe89cb99000)
        libKF5ConfigCore.so.5 => /usr/lib64/libKF5ConfigCore.so.5 (0x00007fe89c93c000)
        libKF5CoreAddons.so.5 => /usr/lib64/libKF5CoreAddons.so.5 (0x00007fe89c6a9000)
        libQt5Widgets.so.5 => /usr/lib64/libQt5Widgets.so.5 (0x00007fe89be6d000)
        libQt5Gui.so.5 => /usr/lib64/libQt5Gui.so.5 (0x00007fe89b708000)
        libQt5Core.so.5 => /usr/lib64/libQt5Core.so.5 (0x00007fe89afc5000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007fe89ac3b000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fe89a881000)
        libKF5JSApi.so.5 => /usr/lib64/libKF5JSApi.so.5 (0x00007fe89a673000)
        libKF5KIOWidgets.so.5 => /usr/lib64/libKF5KIOWidgets.so.5 (0x00007fe89a333000)
        libKF5ThreadWeaver.so.5 => /usr/lib64/libKF5ThreadWeaver.so.5 (0x00007fe89a109000)
        libKF5Wallet.so.5 => /usr/lib64/libKF5Wallet.so.5 (0x00007fe899eeb000)
        libKF5Bookmarks.so.5 => /usr/lib64/libKF5Bookmarks.so.5 (0x00007fe899ca0000)
        libphonon4qt5.so.4 => /usr/lib64/libphonon4qt5.so.4 (0x00007fe899a21000)
        libz.so.1 => /lib64/libz.so.1 (0x00007fe89980a000)
        libKF5KIOCore.so.5 => /usr/lib64/libKF5KIOCore.so.5 (0x00007fe899487000)
        libQt5Network.so.5 => /usr/lib64/libQt5Network.so.5 (0x00007fe899103000)
        libKF5Service.so.5 => /usr/lib64/libKF5Service.so.5 (0x00007fe898e5b000)
        libKF5Archive.so.5 => /usr/lib64/libKF5Archive.so.5 (0x00007fe898c21000)
        libKF5WidgetsAddons.so.5 => /usr/lib64/libKF5WidgetsAddons.so.5 (0x00007fe8988ce000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fe898596000)
        libpoppler.so.88 => /usr/lib64/libpoppler.so.88 (0x00007fe898097000)
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fe897df0000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fe897bd2000)
        libKF5Codecs.so.5 => /usr/lib64/libKF5Codecs.so.5 (0x00007fe897998000)
        libKF5Auth.so.5 => /usr/lib64/libKF5Auth.so.5 (0x00007fe897781000)
        libQt5DBus.so.5 => /usr/lib64/libQt5DBus.so.5 (0x00007fe8974f9000)
        libKF5GuiAddons.so.5 => /usr/lib64/libKF5GuiAddons.so.5 (0x00007fe8972de000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fe8970c6000)
        libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007fe896e35000)
        libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007fe896bf2000)
        libharfbuzz.so.0 => /usr/lib64/libharfbuzz.so.0 (0x00007fe89694a000)                                                                                                                                                                
        libsystemd.so.0 => /usr/lib64/libsystemd.so.0 (0x00007fe8966b5000)                                                                                                                                                                  
        libicui18n.so.60.2 => /usr/lib64/libicui18n.so.60.2 (0x00007fe896200000)                                                                                                                                                            
        libicuuc.so.60.2 => /usr/lib64/libicuuc.so.60.2 (0x00007fe895e41000)                                                                                                                                                                
        libdouble-conversion.so.1 => /usr/lib64/libdouble-conversion.so.1 (0x00007fe895c30000)                                                                                                                                              
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fe895a2c000)                                                                                                                                                                                
        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007fe895715000)                                                                                                                                                                
        /lib64/ld-linux-x86-64.so.2 (0x00007fe89e0f6000)                                                                                                                                                                                    
        libKF5JS.so.5 => /usr/lib64/libKF5JS.so.5 (0x00007fe895430000)                                                                                                                                                                      
        libKF5JobWidgets.so.5 => /usr/lib64/libKF5JobWidgets.so.5 (0x00007fe89520a000)                                                                                                                                                      
        libKF5IconThemes.so.5 => /usr/lib64/libKF5IconThemes.so.5 (0x00007fe894fcc000)                                                                                                                                                      
        libKF5WindowSystem.so.5 => /usr/lib64/libKF5WindowSystem.so.5 (0x00007fe894d80000)                                                                                                                                                  
        libattr.so.1 => /lib64/libattr.so.1 (0x00007fe894b7b000)                                                                                                                                                                            
        libKF5XmlGui.so.5 => /usr/lib64/libKF5XmlGui.so.5 (0x00007fe89486e000)                                                                                                                                                              
        libpulse.so.0 => /usr/lib64/libpulse.so.0 (0x00007fe89461d000)                                                                                                                                                                      
        libpulse-mainloop-glib.so.0 => /usr/lib64/libpulse-mainloop-glib.so.0 (0x00007fe894418000)                                                                                                                                          
        libKF5DBusAddons.so.5 => /usr/lib64/libKF5DBusAddons.so.5 (0x00007fe894203000)                                                                                                                                                      
        libacl.so.1 => /lib64/libacl.so.1 (0x00007fe893ffa000)                                                                                                                                                                              
        libproxy.so.1 => /usr/lib64/libproxy.so.1 (0x00007fe893ddc000)                                                                                                                                                                      
        libssl.so.1.1 => /usr/lib64/libssl.so.1.1 (0x00007fe893b70000)                                                                                                                                                                      
        libcrypto.so.1.1 => /usr/lib64/libcrypto.so.1.1 (0x00007fe8936e2000)                                                                                                                                                                
        libbz2.so.1 => /usr/lib64/libbz2.so.1 (0x00007fe8934c5000)                                                                                                                                                                          
        liblzma.so.5 => /usr/lib64/liblzma.so.5 (0x00007fe89328a000)
        libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007fe893045000)
        libjpeg.so.8 => /usr/lib64/libjpeg.so.8 (0x00007fe892dad000)
        libcurl.so.4 => /usr/lib64/libcurl.so.4 (0x00007fe892b24000)
        libopenjp2.so.7 => not found
        liblcms2.so.2 => /usr/lib64/liblcms2.so.2 (0x00007fe8928c9000)
        libtiff.so.5 => /usr/lib64/libtiff.so.5 (0x00007fe892650000)
        libsmime3.so => /usr/lib64/libsmime3.so (0x00007fe892428000)
        libnss3.so => /usr/lib64/libnss3.so (0x00007fe8920fc000)
        libnspr4.so => /usr/lib64/libnspr4.so (0x00007fe891ebd000)
        libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007fe891c6b000)
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007fe89192a000)
        libQt5X11Extras.so.5 => /usr/lib64/libQt5X11Extras.so.5 (0x00007fe891726000)
        libGLX.so.0 => /usr/lib64/libGLX.so.0 (0x00007fe8914f4000)
        libGLdispatch.so.0 => /usr/lib64/libGLdispatch.so.0 (0x00007fe89123e000)
        libgraphite2.so.3 => /usr/lib64/libgraphite2.so.3 (0x00007fe891018000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fe890e01000)
        libselinux.so.1 => /lib64/libselinux.so.1 (0x00007fe890bd8000)
        libcap.so.2 => /usr/lib64/libcap.so.2 (0x00007fe8909d3000)
        librt.so.1 => /lib64/librt.so.1 (0x00007fe8907cb000)
        liblz4.so.1 => /usr/lib64/liblz4.so.1 (0x00007fe8905b6000)
        libgcrypt.so.20 => /usr/lib64/libgcrypt.so.20 (0x00007fe89029a000)
        libgpg-error.so.0 => /usr/lib64/libgpg-error.so.0 (0x00007fe89007a000)
        libicudata.so.60.2 => /usr/lib64/libicudata.so.60.2 (0x00007fe88fe79000)
        libpcre.so.1 => /usr/lib64/libpcre.so.1 (0x00007fe88fbec000)
        libQt5Svg.so.5 => /usr/lib64/libQt5Svg.so.5 (0x00007fe88f995000)
        libKF5ItemViews.so.5 => /usr/lib64/libKF5ItemViews.so.5 (0x00007fe88f75c000)
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007fe88f533000)
        libxcb-keysyms.so.1 => /usr/lib64/libxcb-keysyms.so.1 (0x00007fe88f330000)
        libKF5TextWidgets.so.5 => /usr/lib64/libKF5TextWidgets.so.5 (0x00007fe88f0ee000)
        libKF5Attica.so.5 => /usr/lib64/libKF5Attica.so.5 (0x00007fe88ee50000)
        libKF5GlobalAccel.so.5 => /usr/lib64/libKF5GlobalAccel.so.5 (0x00007fe88ec2e000)
        libpulsecommon-12.2.so => /usr/lib64/pulseaudio/libpulsecommon-12.2.so (0x00007fe88e9a9000)
        libmodman.so.1 => /usr/lib64/libmodman.so.1 (0x00007fe88e7a1000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007fe88e56f000)
        libnghttp2.so.14 => /usr/lib64/libnghttp2.so.14 (0x00007fe88e349000)
        libidn2.so.0 => /usr/lib64/libidn2.so.0 (0x00007fe88e12c000)
        libssh.so.4 => /usr/lib64/libssh.so.4 (0x00007fe88deba000)
        libpsl.so.5 => /usr/lib64/libpsl.so.5 (0x00007fe88dcaa000)
        libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00007fe88da5f000)
        libldap_r-2.4.so.2 => /usr/lib64/libldap_r-2.4.so.2 (0x00007fe88d80b000)
        liblber-2.4.so.2 => /usr/lib64/liblber-2.4.so.2 (0x00007fe88d5fc000)
        libjbig.so.2 => /usr/lib64/libjbig.so.2 (0x00007fe88d3f0000)
        libnssutil3.so => /usr/lib64/libnssutil3.so (0x00007fe88d1bf000)
        libplc4.so => /usr/lib64/libplc4.so (0x00007fe88cfba000)
        libplds4.so => /usr/lib64/libplds4.so (0x00007fe88cdb6000)
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007fe88cbb2000)
        libKF5SonnetUi.so.5 => /usr/lib64/libKF5SonnetUi.so.5 (0x00007fe88c988000)
        libKF5SonnetCore.so.5 => /usr/lib64/libKF5SonnetCore.so.5 (0x00007fe88c75a000)
        libsndfile.so.1 => /usr/lib64/libsndfile.so.1 (0x00007fe88c4de000)
        libunistring.so.2 => /usr/lib64/libunistring.so.2 (0x00007fe88c15c000)
        libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00007fe88be82000)
        libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00007fe88bc50000)
        libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007fe88ba4c000)
        libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00007fe88b83f000)
        libsasl2.so.3 => /usr/lib64/libsasl2.so.3 (0x00007fe88b622000)
        libFLAC.so.8 => /usr/lib64/libFLAC.so.8 (0x00007fe88b3e5000)
        libogg.so.0 => /usr/lib64/libogg.so.0 (0x00007fe88b1de000)
        libvorbis.so.0 => /usr/lib64/libvorbis.so.0 (0x00007fe88afb1000)
        libvorbisenc.so.2 => /usr/lib64/libvorbisenc.so.2 (0x00007fe88ad08000)
        libspeex.so.1 => /usr/lib64/libspeex.so.1 (0x00007fe88aaed000)
        libkeyutils.so.1 => /usr/lib64/libkeyutils.so.1 (0x00007fe88a8e9000)

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 13:41
von Gräfin Klara
ulischmidthaase hat geschrieben:
24. Jun 2019, 13:30
...
libopenjp2.so.7 => not found
..
Installieren

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 14:04
von ulischmidthaase
Gräfin Klara hat geschrieben:
24. Jun 2019, 13:41
ulischmidthaase hat geschrieben:
24. Jun 2019, 13:30

Code: Alles auswählen

...
        libopenjp2.so.7 => not found
..
Installieren
Hatte ich installiert. Habe ich über yast nochmal "upgegradet". Die Ausgabe von ldd bleibt gleich obwohl:

Code: Alles auswählen

uli@linux-mld6:/usr/lib64> whereis libopenjp2.so.7
libopenjp2.so: /usr/lib/libopenjp2.so.7 /usr/lib64/libopenjp2.so.7
:???:

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 14:59
von Gräfin Klara
Der will es mit hoher Wahrscheinlichkeit in
/lib64
aber nicht
/usr/lib64
Setze zum Test einen Link dorthin

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 15:50
von ulischmidthaase
Den Link habe ich gesetzt. Ergebnis = 0; sowohl Ausgabe von ddl als auch von Okular bleiben gleich. Allerdings ist mir aufgefallen, dass

Code: Alles auswählen

/usr/lib64/libopenjp2.so.7
wohl nur ein "symbolischer" Link auf

Code: Alles auswählen

/usr/lib64/libopejp2.so.2.3.1;5ca71aa7
ist. Existiert die libopenjp2.so.7 in dieser Version dann gar nicht?

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 16:55
von josef-wien
ulischmidthaase hat geschrieben:/usr/lib64/libopejp2.so.2.3.1;5ca71aa7
Wenn die Datei wirklich so heißt, muß wohl ertwas schiefgelaufen sein.

P. S. /usr/lib64/libopenjp2.so.7 ist immer eine Verknüpfung auf die jeweils aktuelle Datei.

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:03
von Sauerland
Poste:

Code: Alles auswählen

zypper lr -d
Und über welche openSUSE Version reden wir?

Code: Alles auswählen

lsb-release -id
Denn für openSUSE Leap 15.0 gibt es das Paket nicht in den normalen Repos.........

Code: Alles auswählen

zypper se -si libopenjp
Loading repository data...
Reading installed packages...

S  | Name         | Type    | Version          | Arch   | Repository            
---+--------------+---------+------------------+--------+-----------------------
i+ | libopenjp2-7 | package | 2.3.1-lp150.43.3 | x86_64 | Sauerland-Leap15.0    
i+ | libopenjpeg1 | package | 1.5.2-lp150.2.7  | x86_64 | openSUSE-Leap-15.0-Oss

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:13
von ulischmidthaase

Code: Alles auswählen

zypper lr -d
Die Repository-Prioritäten sind ohne Effekt. Alle aktivierten Repositorys teilen sich die gleiche Priorität.

#  | Alias                               | Name                                                    | Aktiviert | GPG-Überprüfung | Aktualisierung | Priorität | Typ    | URI                                                                            | Dienst
---+-------------------------------------+---------------------------------------------------------+-----------+-----------------+----------------+-----------+--------+--------------------------------------------------------------------------------+-------
 1 | GRAPHICS                            | GRAPHICS                                                | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/graphics/openSUSE_Leap_15.0/         |       
 2 | download.opensuse.org-non-oss       | Haupt-Repository (NON-OSS)                              | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/              |       
 3 | download.opensuse.org-non-oss_1     | Aktualisierungs-Repository (Nicht-Open-Source-Software) | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.0/non-oss/                         |       
 4 | download.opensuse.org-oss           | Haupt-Repository (OSS)                                  | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/                  |       
 5 | download.opensuse.org-oss_1         | Hauptaktualisierungs-Repository                         | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.0/oss                              |       
 6 | http-download.opensuse.org-1191ab7f | multimedia:apps                                         | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/multimedia:/apps/openSUSE_Leap_15.0/ |       
 7 | http-download.opensuse.org-1dc26f8f | Education                                               | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_15.0/        |       
 8 | http-download.opensuse.org-47731894 | multimedia:libs                                         | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_Leap_15.0/ |       
 9 | http-download.opensuse.org-7efc2dd3 | openSUSE:Leap:42.2:Update                               | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.0/oss/                             |       
10 | http-download.opensuse.org-e9177afb | KDE:KDE3                                                | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE3/openSUSE_Leap_15.0/        |                                                                                                                                                                                                                               
11 | mozilla                             | mozilla                                                 | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.0/          |                                                                                                                                                                                                                               
12 | opensuse-guide.org-repo_1           | Libdvdcss Repository                                    | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/                             |                                                                                                                                                                                                                               
13 | packman.inode.at-suse               | Packman Repository                                      | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.0/                               |                                                                                                                                                                                                                               
14 | repo-15.0-non-oss                   | openSUSE-15.0 Non-OSS                                   | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/              |                                                                                                                                                                                                                               
15 | repo-15.0-oss                       | openSUSE-15.0 OSS                                       | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/                  |                                                                                                                                                                                                                               
16 | repo-15.0-update-non-oss            | openSUSE-15.0 Updates Non-OSS                           | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.0/non-oss/                         |                                                                                                                                                                                                                               
17 | repo-15.0-update-oss                | openSUSE-15.0 Updates OSS                               | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.0/oss/                             |                                                                                                                                                                                                                               
18 | repo-debug-update-non-oss           | openSUSE-Leap-42.2-Update-Debug-Non-Oss                 | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/debug/update/leap/15.0/non-oss/                   |                                                                                                                                                                                                                               
19 | repo-games                          | openSUSE-15.0 Updates Non-OSS                           | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_Leap_15.0/            |                                                                                                                                                                                                                               
20 | repo-source                         | openSUSE-Leap-42.2-Source                               | Nein      | ----            | ----           |   99      | yast2  | http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/           |   
und

Code: Alles auswählen

lsb-release -id                                                                                                                                                                                                     
Distributor ID: openSUSE
Description:    openSUSE Leap 15.0

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:19
von ulischmidthaase
Wenn die Datei wirklich so heißt, muß wohl ertwas schiefgelaufen sein.
Es gibt eine Datei die so heißt und eine die

Code: Alles auswählen

/usr/lib64/libopejp2.so.2.3.1
heißt

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:24
von tomm.fa
Für Konsolenausgaben bitte CODE-/ statt QUOTE-Tags verwenden, danke! Siehe dazu auch; https://linux-club.de/forum/viewtopic.php?f=92&t=105750

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:29
von josef-wien
Zuerst würde ich die Verknüpfung ändern. Und danach klären, wie die Datei mit dem absolut ungebräuchlichen Namen ihren Weg zu Dir gefunden hat.

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:35
von Sauerland
Muss mich korrigieren gibt es schon:

Code: Alles auswählen

S  | Name               | Type    | Version          | Arch   | Repository            
---+--------------------+---------+------------------+--------+-----------------------
i+ | libopenjp2-7       | package | 2.3.1-lp150.43.3 | x86_64 | Sauerland-Leap15.0    
v  | libopenjp2-7       | package | 2.3.0-lp150.1.5  | x86_64 | openSUSE-Leap-15.0-Oss
   | libopenjp2-7-32bit | package | 2.3.0-lp150.1.5  | x86_64 | openSUSE-Leap-15.0-Oss
Aber schau mal nach, welche Datei bei dir installiert ist:

Code: Alles auswählen

zypper se -s libopenjp2

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:42
von Sauerland

Code: Alles auswählen

ls -la /usr/lib64/libopenjp*

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:48
von Gräfin Klara
ulischmidthaase hat geschrieben:
24. Jun 2019, 15:50
Den Link habe ich gesetzt. Ergebnis = 0; sowohl Ausgabe von ddl als auch von Okular bleiben gleich. Allerdings ist mir aufgefallen, dass
/usr/lib64/libopenjp2.so.7
wohl nur ein "symbolischer" Link auf
/usr/lib64/libopejp2.so.2.3.1;5ca71aa7
ist. Existiert die libopenjp2.so.7 in dieser Version dann gar nicht?
Das wirkliche Ziel des links erhältst du mit:

Code: Alles auswählen

# readlink -f /usr/lib64/libopenjp2.so.7
Wenn das Ziel
/usr/lib64/libopejp2.so.2.3.1;5ca71aa7
lautet, dann ist etwas nicht in Ordnung. Dann kann dir nur jemand helfen, der sich mit diesem zypper auskennt.
Du bist auf der richtigen Spur aber ich kann dir leider nicht mehr weiterhelfen.

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 17:50
von josef-wien
Sauerland hat geschrieben:2.3.0-lp150.1.5 | x86_64 | openSUSE-Leap-15.0-Oss
ulischmidthaase hat geschrieben: Description: openSUSE Leap 15.0
Wo kommt die Version 2.3.1 her?

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 18:42
von Sauerland
josef-wien hat geschrieben:
24. Jun 2019, 17:50
Sauerland hat geschrieben:2.3.0-lp150.1.5 | x86_64 | openSUSE-Leap-15.0-Oss
ulischmidthaase hat geschrieben: Description: openSUSE Leap 15.0
Wo kommt die Version 2.3.1 her?
Aus dem Graphics Repo........
Bei mir läuft die Version auch:
https://build.opensuse.org/package/show ... /openjpeg2

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 19:52
von ulischmidthaase
Sorry war kurz weg. Jetzt muss ich erst mal auarbeiten:
Zuerst würde ich die Verknüpfung ändern.
...Ups wie ? Umbenennen?
Das wirkliche Ziel des links erhältst du mit:

Code: Alles auswählen

linux-mld6:/home/uli # # readlink -f /usr/lib64/libopenjp2.so.7
linux-mld6:/home/uli # 
...also offensichtlich leer?? :???:
@Tomm.Fa Ich hoffe ich vergesse nicht wieder den Unterschied zwischen "code" und "quote" ...Asche auf mein Haupt

Re: Okular kann keine PDF-Datei öffnen

Verfasst: 24. Jun 2019, 20:08
von Gräfin Klara
ulischmidthaase hat geschrieben:
24. Jun 2019, 19:52

Code: Alles auswählen

linux-mld6:/home/uli # # readlink -f /usr/lib64/libopenjp2.so.7
linux-mld6:/home/uli # 
...also offensichtlich leer?? :???:
OHNE '#'